Nouvelle vue TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw NewView and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw NewView.png Nouvelle Vue TechDraw

Emplacement du menu
TechDraw → Insérer une vue dans la page TechDraw
Ateliers
Atelier TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Nouveau groupe de projections TechDraw, Nouvelle vue en coupe TechDraw


Description

L'outil Vue ajoute une représentation d'un ou plusieurs objets à une Page de dessin. C'est le bloc de construction de base du module TechDraw. La plupart des autres vues sont dérivées d'une manière ou d'une autre de Nouvelle Vue.

TechDraw View example.png

Vue d'une boîte pleine avec des lignes cachées


Comment faire

  1. Sélectionnez un ou plusieurs objets (Corps, App::Part, Part::Feature, Draft object, ... Voir Notes) dans la fenêtre 3D ou dans l'arborescence.
  2. Si vous avez plusieurs pages de dessin dans votre document, vous devrez également sélectionner la page souhaitée dans l'arborescence.
  3. Appuyez sur le bouton Techdraw-view.svgVue
  • La Vue dessine n'importe quel objet qui a une propriété de Shape. Vous pouvez également sélectionner des objets Draft ou PartDesign Bodies. Vue extraira également toutes les formes des objets dans un conteneur App::Part ou un groupe container ou Group.

Propriétés

Données

  • DONNÉESX: La position horizontale de la vue sur la page. (1)
  • DONNÉESY: La position verticale de la vue sur la page. (1)
  • DONNÉESLockPosition: Empêche les vues d'être glissées dans le Gui quand la valeur est True. La vue peut toujours être déplacée en changeant les propriétés X, Y. (1)
  • DONNÉESRotation: Rotation antihoraire de la vue sur la page en degrés. (1)
  • DONNÉESScaleType: "Document": utilise le paramètre d'échelle de la page. "Custom": utilise une échelle unique pour cette vue. "Automatic": ajuste la vue à la page. (1)
  • DONNÉESScale: Une vue sera rendue sur la page à l'Échelle: 1 par rapport à la Source. (1)
  • DONNÉESCaption: Légende de texte court facultative.
  • DONNÉESSource: Liens vers les objets projetables à représenter
  • DONNÉESDirection: Ce vecteur contrôle la direction à partir de laquelle vous visualisez l'objet. + X est à droite, -X est à gauche, + Y est à l'arrière, -Y est à l'avant (regardant dans l'écran), + Z est en haut et -Z est en bas. Donc, une vue de face est (0, -1,0) et une vue isométrique est (1, -1,1). (1)
  • DONNÉESPerspective: Vrai pour la projection en perspective, faux pour la projection orthogonale.
  • DONNÉESFocus: Distance de la caméra au plan de projection pour les projections en perspective. Doit être ajusté pour s'adapter à l'objet. Trop loin et la perspective est perdue, trop proche et l'objet est déformé.
  • DONNÉESCoarseView: Si Vrai, TechDraw utilisera une approximation de polygone pour calculer la géométrie de dessin. Si faux, TechDraw utilisera un algorithme de précision. CoarseView peut être beaucoup plus rapide pour les modèles complexes. La qualité du dessin est réduite car chaque courbe est approximée par une série de segments courts. Les sommets ne sont pas affichés dans CoarseView, car chaque segment court donnerait deux nouveaux sommets et l'affichage deviendrait encombré. Des dimensions linéaires peuvent être ajoutées à un CoarseView, mais ne seront probablement pas utilisables.
Note: CoarseView est affecté par un bogue en amont dans OCCT (# 3332) qui entraîne que la position de la vue sur la Page est légèrement différente des valeurs X, Y spécifiées.
  • DONNÉESSmooth Visible Lines: Les lignes lisses (lignes de tangence ...) visibles sont activées / désactivées.
  • DONNÉESSeam Visible Lines: Les lignes de couture visibles sont activées / désactivées.
  • DONNÉESIso Visible Lines: Les lignes isométriques visibles (u, v) sont activées / désactivées.
  • DONNÉESHard Hidden Lines: Les lignes cachées (arêtes réelles) sont activées / désactivées.
  • DONNÉESSmooth Hidden Lines: Les lignes lisses (lignes de tangence ...) cachées sont activées / désactivées.
  • DONNÉESSeam Hidden Lines: Les lignes de couture cachées sont activées / désactivées.
  • DONNÉESIso Hidden Lines: Les lignes isométriques cachées (u, v) sont activées / désactivées.
  • DONNÉESIso Count: Nombre de lignes isométriques (u, v) à dessiner sur chaque face.

(1) ces propriétés sont communes à tous les types de vues.

Vue

  • VUEKeep Label: Toujours afficher l'étiquette de vue si la valeur est sur vrai.
  • VUELineWidth: Épaisseur des lignes visibles. Voir Groupes de lignes.
  • VUEHiddenWidth: L'épaisseur des lignes cachées, si activé.
  • VUEIsoWidth: L'épaisseur des lignes de surface isométriques (u, v) et des lignes de cotes.
  • VUEExtraWidth: Pas encore implémenté.
  • VUEShowCenters: Les marques de centre des arcs / cercles sont activées / désactivées.
  • VUECenterScale: Réglage de la taille de la marque du centre des arcs / cercles, si activé.
  • VUEHorizCenterLine: Affiche un trait d'axe horizontal dans la vue.
  • VUEVertCenterLine: Affiche un trait d'axe vertical dans la vue.
  • VUEShowSectionLine: Affiche / masque la ligne de coupe, le cas échéant.

Script

Voir aussi : TechDraw API et FreeCAD Scripts de base.

L'outil Nouvelle vue peut être utilisé dans des macro et à partir de la console Python à l'aide des fonctions suivantes:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)